
import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class myWave extends WaveGUI{

  void solve(){
    int i;
    while(true) {
     for (int j = 1; j <= 5; j++){
	t++;
        for (i = 1; i < Nx ; i++){
            /* a simple, unstable algorithm:   */
     //  fnext[i] = f[i] - (tstep/2.0)*(f[i+1] - f[i-1]);
            /* a more stable algorithm, if tstep < 1 */
         fnext[i] = 0.5 * (f[i+1]+f[i-1]) - (tstep/2.0)*(f[i+1] - f[i-1]);
        }
        transfer(fnext,f);
     }
     refreshPicture();
     if (timetostop) break;
     pause(10);
    }
  }

  void transfer(double [] f1, double [] f2){
      for (int i = 1; i < Nx ; i++)   f2[i] = f1[i];
      f2[0] = f1[Nx-1];
      f2[Nx] = f1[1];
  }

  void inputWave(){
    for (int n = 0 ; n < Nx; n++){
      double x = (n- 0.1*Nx)/(0.1*Nx);
      f[n] = Math.exp(- 2.0 * x * x);
    }
  }
}
