
import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class Antennae extends AntennaeGUI {

  void solve(){
    resetArrays();   /* zeros the array phi */
    for (int i = 1; i <= Nx; i++){
      for (int j =1; j <= Ny ; j++){
	  /* assign physical locations to point on the x,y grid */
	  double x = 0.05 *(i-50);
          double y = -0.05 *(j-50);
          double R = Math.sqrt(x*x + y*y);
          if (R < 0.2) continue;  /* exit if R is too small */
          double cx = x/R;
          double cy = y/R;
          double realamp = 0.0;
          double imamp = 0.0;
          for (int k = 1; k <= nantennae; k++){
    /* fill in 
           realamp +=  (something);
           imamp += (something else);
        using as ingredients:
           xposition(k) =  x position of kth antenna in units of wavelength
           yposition(k) =  y position of kth antenna in units of wavelength
           phase(k) =  phase of kth antenna in radians      */
          }
          phi[i][j] = (realamp*realamp + imamp*imamp)/(R*R);
      }
    }
    Legend.write(" ");
    refreshPicture();
  }

}

