
import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class myAntennae extends myAntennaeGUI {

  void solve(){
    resetArrays();   /* zeros the array phi */
    for (int i = 1; i <= Nx; i++){
      for (int j =1; j <= Ny ; j++){
	  /* assign physical locations to point on the x,y grid */
	  double x = 0.05 *(i-50);
          double y = -0.05 *(j-50);
          double R = Math.sqrt(x*x + y*y);
          if (R < 0.2) continue;
          double cx = x/R;
          double cy = y/R;
          double realamp = 0.0;
          double imamp = 0.0;
          for (int k = 1; k <= nantennae; k++){
              double rphase = Math.cos(phase(k));
              double iphase = Math.sin(phase(k));
	      double arg= -2.0*Math.PI*(cx*xposition(k) + cy* yposition(k));
              realamp += Math.cos(arg) * rphase - Math.sin(arg) * iphase;
              imamp += Math.sin(arg)*rphase + Math.cos(arg)*iphase;
          }
          phi[i][j] = (realamp*realamp + imamp*imamp)/(R*R);
      }
    }
    Legend.write(" ");
    refreshPicture();
  }

}

