
import java.awt.*;
import java.util.*;
import java.applet.*;

public class myBessel extends BesselGUI {

    int m = 1; 

    double Bessel(double z){
        double y = 1.0;
        double w = z*z/4.0;
        if ( m == 0){
	    if (z < 2.0){
		y = 1.0 - w * ( 1.0 - (1.0/4.0) * w 
				* ( 1.0 - (1.0/9.0)*w));
            } else { 
                y = Math.sqrt(2.0/(Math.PI * z)) * 
                    ( (1.0 - (9.0/128.0)/(z*z)) * Math.cos(z - 0.25*Math.PI)
                          + ((1.0/8.0)/z) * Math.sin(z - 0.25*Math.PI) );
	    }
        } else if (m == 1 ){
	    if (z < 2.0){
		y = (z/2.0)* (1.0 - (1.0/2.0)* w * ( 1.0 - (1.0/6.0) * w 
		                   * ( 1.0 - (1.0/12.0)*w)));
            } else { 
                y = Math.sqrt(2.0/(Math.PI * z)) * 
                    ( (1.0 + (9.0/64.0)/(z*z)) * Math.cos(z - 0.75*Math.PI)
                          - ((3.0/8.0)/z) * Math.sin(z - 0.75*Math.PI) );
            }
        }  else {
            y = 0.0;
        }
        return y;
    }

}	
