
import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class myDisperse extends myDisperseGUI{

  void solve(){
    FT.Transform();
    for (int i = 0; i <= N2 ; i++){
       ficos[i] = FT.fcos[i];
       fisin[i] = FT.fsin[i];
    }
    t = 0;
    while(true) {
      t++;
      for (int i = 1; i <= N2 ; i++){
	double wt = omega(i) * t * tstep;
	FT.fcos[i] = ficos[i] * Math.cos(wt) - fisin[i] * Math.sin(wt);
        FT.fsin[i] = fisin[i] * Math.cos(wt) + ficos[i] * Math.sin(wt);
	    /* replace this with code that solves the wave equation */
      }
      FT.InverseTransform();
      refreshPicture();
      if (timetostop) break;
    }
  }

  double omega(int n){
      double w;
      double k =  2.0 * Math.PI * n/Nx;
  /* here are various interesting choices for the dispersion relation: */
  //   w = Math.sqrt( 2.0 * (1.0 - Math.cos(k)));
  //   w = Math.sqrt(4.0 - w*w);
  //   w = k;
  //   w = k + 10.0 * k*k;
  //   w = 1.0 - k*k;
      w = 4.0 - k;
      return w;
  }

  void inputWave(){
    for (int n = 0 ; n < Nx; n++){
       double t = (n- 0.2*Nx)/(0.2*Nx);
       fi[n] = Math.exp(- 10.0 * t * t) * Math.sin(24.0* Math.PI * t);
    }
  }

}
